>From 76514f4681c033cb096dba4bf730b711201e106d Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:03:04 +0300
Subject: [carFl mem 17/65] Globalisation pass 1: internal.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 internal.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/internal.c b/internal.c
index 846cf1e..cf899f3 100644
--- a/internal.c
+++ b/internal.c
@@ -133,7 +133,7 @@ static int internal_shutdown(void *data)
 	return 0;
 }
 
-int internal_init(void)
+int internal_init(globals *g)
 {
 #if __FLASHROM_LITTLE_ENDIAN__
 	int ret = 0;
@@ -274,7 +274,7 @@ int internal_init(void)
 	/* Probe unconditionally for IT87* LPC->SPI translation and for
 	 * IT87* Parallel write enable.
 	 */
-	init_superio_ite();
+	init_superio_ite(g);
 #endif
 
 	board_flash_enable(lb_vendor, lb_part);
-- 
1.7.6

